## petsc 3.22.2+dfsg1

=== debian/changelog ===
petsc (3.22.2+dfsg1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 16 Dec 2024 22:20:21 +0000

petsc (3.22.2+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Dec 2024 19:23:27 +0100

petsc (3.22.1+dfsg1-2ubuntu3) plucky; urgency=medium

  * No-change rebuild for mpich_4.2.1-2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 11 Dec 2024 22:01:14 +0000

petsc (3.22.1+dfsg1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for libopenmpi40

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Dec 2024 12:02:32 +0000

petsc (3.22.1+dfsg1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:55:21 +0100

petsc (3.22.1+dfsg1-2) unstable; urgency=medium

  * upload petsc 3.22 to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2024 23:25:32 +0100

petsc (3.22.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.22.
    - applies debian patch fix_build_tests_MR7789.patch
  * drop debian patch ptscotch_without_bison_MR5787.diff.
    It was applied upstream in PETSc 3.18.
  * replace debian patch soname_extension with upstream MR7989
    and add soname_extension_MR8026.patch (upstream MR8026).
    Uses configuration option --with-library-name-suffix instead of
    --shared-library-extension.

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Nov 2024 12:35:36 +0100

petsc (3.21.6+dfsg1-3) unstable; urgency=medium

  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/rules and debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/rules and debian/tests.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 20 Nov 2024 06:42:09 +0000
