## petsc 3.22.3+dfsg1

=== debian/changelog ===
petsc (3.22.3+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Feb 2025 15:00:59 +0100
