=== debian/rules ===
--- 
+++ 
@@ -151,8 +151,7 @@
 	  --with-fftw=1 --with-fftw-include=[] --with-fftw-lib="-lfftw3 -lfftw3_mpi" \
 	  --with-yaml=1 \
 	  $(VALGRIND_CONFIG) \
-	  $(PETSC_HDF5_FLAGS) \
-          --CXX_LINKER_FLAGS="-Wl,--no-as-needed -Wl,-z,defs" \
-          --CC_LINKER_FLAGS="-Wl,-z,defs"
+	  $(PETSC_HDF5_FLAGS) --CXX_LINKER_FLAGS="-Wl,--no-as-needed"
 
 
+# hypre is only supported with real numbers, not complex
