=== debian/changelog ===
petsc (3.22.5+dfsg1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Apr 2025 11:48:33 +0200

petsc (3.22.5+dfsg1-2) unstable; urgency=medium

  * dev packages: complement Depends: mpi-default-dev with
    ${mpi-dev:Depends} as lower-versioned dependency on specific mpi
    implementation (openmpi or mpich), since petscsys.h checks that
    the current MPI version is compatible with the version petsc was
    compiled against. Will help avoid testing migration confusion when
    MPI packages are updated. Closes: #1102465.

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Apr 2025 19:07:42 +0200

petsc (3.22.5+dfsg1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Apr 2025 08:02:11 +0200

petsc (3.22.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * only use nproc to set parallel build if DEB_BUILD_OPTION_PARALLEL
    is not already defined. lintian test debian-rules-calls-nproc.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Mar 2025 13:03:44 +0200

petsc (3.22.4+dfsg1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Mar 2025 18:04:24 +0100

petsc (3.22.4+dfsg1-2) unstable; urgency=medium

  * debian/tests: set OMPI_MCA_btl_tcp_if_include=lo to avoid openmpi
    whining about unreachable pairing. Needed by riscv64 in particular.
    cf. hypre Bug#1087784.

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Mar 2025 11:25:18 +0100

petsc (3.22.4+dfsg1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:32:08 +0100

petsc (3.22.4+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 15:25:50 +0100

petsc (3.22.3+dfsg1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 10:22:17 +0100

petsc (3.22.2+dfsg1-1ubuntu2) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 11:05:24 +0000
