=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: petsc
 Section: devel
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  "Adam C. Powell, IV" <hazelsct@debian.org>,
  Drew Parsons <dparsons@debian.org>,
  Francesco Ballarin <francesco.ballarin@unicatt.it>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), python3, gfortran,
  pkgconf, dh-python,
  dh-fortran-mod,
@@ -89,7 +90,7 @@
 Section: libdevel
 Depends: libpetsc-real3.22 (= ${binary:Version}),
  libpetsc3.22-dev-common (= ${source:Version}),
- mpi-default-dev,
+ mpi-default-dev, ${mpi-dev:Depends},
  libhypre-dev (>= 2.15.1),
  libmumps-dev,
  gfortran,
@@ -235,7 +236,7 @@
 Section: libdevel
 Depends: libpetsc-complex3.22 (= ${binary:Version}),
  libpetsc3.22-dev-common (= ${source:Version}),
- mpi-default-dev,
+ mpi-default-dev, ${mpi-dev:Depends},
  libmumps-dev,
  gfortran,
  valgrind-mpi [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64],
@@ -268,4 +269,3 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
 Breaks: libpetsc-complex3.10, libslepc-complex3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
-Replaces: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
