=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/buildopts.mk
+include /usr/share/mpi-default-dev/debian_defaults
 
 DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
 DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
@@ -15,6 +17,16 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 #export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifeq ($(ARCH_DEFAULT_MPI_IMPL),mpich)
+    MPI_DEV=libmpich-dev
+else
+    MPI_DEV=libopenmpi-dev
+endif
+MPI_VERSION = $(shell dpkg-query -s $(MPI_DEV) | grep "Version:" | awk '{print $$2}')
+MPI_NOEPOCH_VERSION := $(shell echo $(MPI_VERSION) | cut -d: -f2-)
+MPI_UPSTREAM_VERSION := $(shell echo $(MPI_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
+MPI_STRIPPED_UPSTREAM_VERSION = $(shell echo $(MPI_UPSTREAM_VERSION) | sed -e 's/[\.\+]dfsg.*$$//' )
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append FLAGS
@@ -46,8 +58,10 @@
 # Note that only arch-dependent .debs are generated when you do this.
 PETSC_ARCH=$(DEB_HOST_MULTIARCH)
 
-CPU_COUNT := $(shell /usr/bin/nproc )
-export DEB_BUILD_OPTIONS ?= parallel=$(CPU_COUNT)
+ifndef DEB_BUILD_OPTION_PARALLEL
+  CPU_COUNT := $(shell /usr/bin/nproc )
+  export DEB_BUILD_OPTIONS ?= parallel=$(CPU_COUNT)
+endif
 
 # This defines the MPI implementation to use.  The easiest way to override this
 # default is to specify while building, e.g. debian/rules PETSC_MPI=lam binary.
@@ -142,16 +156,3 @@
 
 PETSC64_CONFIG=--with-64-bit-indices
 
-CONFIGURATION_OPTIONS=--with-shared-libraries --with-pic=1 \
-	  --with-cc=mpicc --with-cxx=mpicxx --with-fc=mpif90 \
-	  --with-cxx-dialect=C++11 \
-	  --with-opencl=1 \
-	  --with-blas-lib=-lblas --with-lapack-lib=-llapack \
-	  --with-scalapack=1 --with-scalapack-lib=-lscalapack-$(PETSC_MPI) \
-	  --with-fftw=1 --with-fftw-include=[] --with-fftw-lib="-lfftw3 -lfftw3_mpi" \
-	  --with-yaml=1 \
-	  $(VALGRIND_CONFIG) \
-	  $(PETSC_HDF5_FLAGS) --CXX_LINKER_FLAGS="-Wl,--no-as-needed"
-
-
-# hypre is only supported with real numbers, not complex
