## petsc 3.23.1+dfsg1

=== debian/changelog ===
petsc (3.23.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches
    - build-no-rpath.patch
    - ignore_git_hidden_folder_in_petscclone_py.patch
  * Drop patch drop_bison_MR8267.patch, since the upstream MR has been released
    with 3.23.1
  * In debian/rules, drop images from community pages to avoid privacy breaches

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 01 May 2025 15:24:47 +0000

petsc (3.23.0+dfsg1-1exp1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release: new ABI 3.23.
  * Drop the following unnecessary patches:
    - soname_extension and soname_extension_MR8026.patch: they were backports of
      upstream MR7989 and MR8026, which have now been inclueded in the 3.23.0
      release.
    - lib-versions.patch: upstream now correctly handles removing shared objects
      with non default suffix.
    - mumps.patch: seems to have been last used in 2012.
    - petscmatmod_split.patch: the dummy module was removed in upstream MR7517.
  * Refresh the following patches:
    - clean-no-double-colon.patch
    - label_tests.patch
    - petscmatmod_split.patch
  * Add patch ignore_git_hidden_folder_in_petscclone_py.patch:
    - the file config/PETSc/options/petscclone.py tries to determine whether
      PETSc is getting installed from a source tarball, or from a clone of its
      own git repository. In Debian's configuration we are downloading a
      tarball, and then storing the files in our own git repository. Doing this
      triggers a
         raise RuntimeError('Your petsc source tree is broken. Use "git status"
                            to check, or remove the entire directory and start
                            all over againd')
      which in our case is a false positive.
      The patch ignores the safety check, since it has not effect on the rest of
      the build.
  * Backport upstream MR 8267 into drop_bison_MR8267.patch
    - Upstream MR 7495 incorrectly added a Build-Depends on bison,
      which was actually not necessary because PTScotch requires bison
      only when building PTScotch itself, not when linking against it.
      MR 7495 made into the release.
    - Upstream MR 8267 reverted the addition of bison to Build-Depends. The
      patch will be dropped as soon as it will be included in a next release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 16 Apr 2025 03:11:06 +0200
