=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: petsc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  "Adam C. Powell, IV" <hazelsct@debian.org>,
  Drew Parsons <dparsons@debian.org>,
@@ -56,7 +55,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: libpetsc-real3.22-dev, ${misc:Depends}
+Depends: libpetsc-real3.23-dev, ${misc:Depends}
 Description: Virtual package depending on latest PETSc development package
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -72,7 +71,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: libpetsc-complex3.22-dev, ${misc:Depends}
+Depends: libpetsc-complex3.23-dev, ${misc:Depends}
 Description: Virtual package depending on latest PETSc development package
  PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
  of data structures and routines for the scalable (parallel) solution of
@@ -84,12 +83,12 @@
  This is a dummy package which depends on the most recent version of
  libpetsc-complexX-dev with complex number support (X=version).
 
-Package: libpetsc-real3.22-dev
-Multi-Arch: same
-Architecture: any
-Section: libdevel
-Depends: libpetsc-real3.22 (= ${binary:Version}),
- libpetsc3.22-dev-common (= ${source:Version}),
+Package: libpetsc-real3.23-dev
+Multi-Arch: same
+Architecture: any
+Section: libdevel
+Depends: libpetsc-real3.23 (= ${binary:Version}),
+ libpetsc3.23-dev-common (= ${source:Version}),
  mpi-default-dev, ${mpi-dev:Depends},
  libhypre-dev (>= 2.15.1),
  libmumps-dev,
@@ -99,8 +98,8 @@
  python3, ${python3:Depends}
 Conflicts: libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2),
  libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
-Recommends: libpetsc3.22-dev-examples, ksh | mksh | pdksh | zsh
-Suggests: petsc-dev, libpetsc-real3.22-dbg (= ${binary:Version}), petsc3.22-doc, libluminate-dev
+Recommends: libpetsc3.23-dev-examples, ksh | mksh | pdksh | zsh
+Suggests: petsc-dev, libpetsc-real3.23-dbg (= ${binary:Version}), petsc3.23-doc, libluminate-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -111,32 +110,32 @@
  features of the PETSc libraries.
  .
  This package provides the development files for building applications
- using PETSc 3.22 with real numbers.
-
-Package: libpetsc-real3.22
+ using PETSc 3.23 with real numbers.
+
+Package: libpetsc-real3.23
 Architecture: any
 Multi-Arch: same
 Section: libs
-Provides: libpetsc3.22, ${t64:Provides}
+Provides: libpetsc3.23, ${t64:Provides}
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc3.6 (<< 3.6.2.dfsg1-4)
 Breaks: libpetsc-real3.10, libslepc-real3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
 Replaces: libpetsc3.6 (<< 3.6.2.dfsg1-4)
-Description: Shared libraries for version 3.22 of PETSc
- PETSc is the "Portable Extensible Toolkit for Scientific
- Computation", a suite of data structures and routines for the
- scalable (parallel) solution of scientific applications modeled by
- partial differential equations.  It employs the MPI standard for all
- message-passing communication.  Several sample scientific
- applications, as well as various papers and talks, demonstrate the
- features of the PETSc libraries.
- .
- This package contains the PETSc 3.22 shared library for real numbers.
- .
- It provides soname libpetsc-real3.22
-
-Package: libpetsc3.22-dev-common
+Description: Shared libraries for version 3.23 of PETSc
+ PETSc is the "Portable Extensible Toolkit for Scientific
+ Computation", a suite of data structures and routines for the
+ scalable (parallel) solution of scientific applications modeled by
+ partial differential equations.  It employs the MPI standard for all
+ message-passing communication.  Several sample scientific
+ applications, as well as various papers and talks, demonstrate the
+ features of the PETSc libraries.
+ .
+ This package contains the PETSc 3.23 shared library for real numbers.
+ .
+ It provides soname libpetsc-real3.23
+
+Package: libpetsc3.23-dev-common
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
@@ -154,7 +153,7 @@
  libyaml-dev,
  ${misc:Depends}, ${python3:Depends},
  ${sphinxdoc:Depends}
-Recommends: libpetsc-real3.22-dev | libpetsc-complex3.22-dev
+Recommends: libpetsc-real3.23-dev | libpetsc-complex3.23-dev
 Description: Common header and support dev files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -165,17 +164,17 @@
  features of the PETSc libraries.
  .
  This package provides header and other support files common to the
- various dev packages (with real or complex number support) for PETSc 3.22.
-
-Package: libpetsc3.22-dev-examples
+ various dev packages (with real or complex number support) for PETSc 3.23.
+
+Package: libpetsc3.23-dev-examples
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}, ${python3:Depends},
  libjs-mathjax
 Recommends: ksh | mksh | pdksh | zsh,
- libpetsc-real3.22-dev | libpetsc-complex3.22-dev | libpetsc-real3.22-dbg | libpetsc-complex3.22-dbg
-Suggests: petsc3.22-doc
+ libpetsc-real3.23-dev | libpetsc-complex3.23-dev | libpetsc-real3.23-dbg | libpetsc-complex3.23-dbg
+Suggests: petsc3.23-doc
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -185,19 +184,19 @@
  applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package provides example, test, and tutorial scripts for PETSc 3.22.
-
-Package: libpetsc-real3.22-dbg
+ This package provides example, test, and tutorial scripts for PETSc 3.23.
+
+Package: libpetsc-real3.23-dbg
 Architecture: any
 Multi-Arch: same
 Section: debug
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpetsc-real3.22-dev (= ${binary:Version}),
- libpetsc3.22-dev-common (= ${source:Version}),
+Depends: libpetsc-real3.23-dev (= ${binary:Version}),
+ libpetsc3.23-dev-common (= ${source:Version}),
  ${misc:Depends}, ${shlibs:Depends}, ${fortran:Depends},
  python3, ${python3:Depends}
-Recommends: libpetsc3.22-dev-examples, ksh | mksh | pdksh | zsh
-Provides: petsc3.22-dbg, ${t64:Provides}
+Recommends: libpetsc3.23-dev-examples, ksh | mksh | pdksh | zsh
+Provides: petsc3.23-dbg, ${t64:Provides}
 Description: Debugging libraries for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -208,17 +207,17 @@
  features of the PETSc libraries.
  .
  This package provides the development files and debugging libraries for
- debugging applications using PETSc 3.22 with real numbers.
+ debugging applications using PETSc 3.23 with real numbers.
  .
  Libraries include unstripped symbols, but this package is also built with
  internal PETSc debugging activated (--with-debugging=1).
 
-Package: petsc3.22-doc
+Package: petsc3.23-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
 Depends: sphinx-common, libjs-sphinxdoc, ${misc:Depends}, ${sphinxdoc:Depends}
-Suggests: libpetsc-real3.22-dev (= ${binary:Version}), illuminator-doc
+Suggests: libpetsc-real3.23-dev (= ${binary:Version}), illuminator-doc
 Description: Documentation and examples for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -228,14 +227,14 @@
  applications, as well as various papers and talks, demonstrate the
  features of the PETSc libraries.
  .
- This package contains documentation for developing with PETSc 3.22.
-
-Package: libpetsc-complex3.22-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libpetsc-complex3.22 (= ${binary:Version}),
- libpetsc3.22-dev-common (= ${source:Version}),
+ This package contains documentation for developing with PETSc 3.23.
+
+Package: libpetsc-complex3.23-dev
+Architecture: any
+Multi-Arch: same
+Section: libdevel
+Depends: libpetsc-complex3.23 (= ${binary:Version}),
+ libpetsc3.23-dev-common (= ${source:Version}),
  mpi-default-dev, ${mpi-dev:Depends},
  libmumps-dev,
  gfortran,
@@ -244,8 +243,8 @@
  python3, ${python3:Depends}
 Conflicts: libpetsc-complex-3.6.3-dev (<< 3.6.3.dfsg2-2), libpetsc3.6.3-dev (<< 3.6.3.dfsg2-2),
  libpetsc3.6.2-dev (<= 3.6.2.dfsg1-3), libpetsc-complex-3.6.2-dev (<= 3.6.2.dfsg1-3)
-Recommends: libpetsc3.22-dev-examples, ksh | mksh | pdksh | zsh
-Suggests: petsc-dev, libpetsc-complex3.22-dbg (= ${binary:Version}), petsc3.22-doc, libluminate-dev
+Recommends: libpetsc3.23-dev-examples, ksh | mksh | pdksh | zsh
+Suggests: petsc-dev, libpetsc-complex3.23-dbg (= ${binary:Version}), petsc3.23-doc, libluminate-dev
 Description: Static libraries, shared links, header files for PETSc
  PETSc is the "Portable Extensible Toolkit for Scientific
  Computation", a suite of data structures and routines for the
@@ -256,11 +255,11 @@
  features of the PETSc libraries.
  .
  This package provides the development files for building applications
- using PETSc 3.22 with support for complex numbers.
+ using PETSc 3.23 with support for complex numbers.
  .
  Note HYPRE is not supported with PETSc complex.
 
-Package: libpetsc-complex3.22
+Package: libpetsc-complex3.23
 Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
@@ -269,3 +268,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
 Breaks: libpetsc-complex3.10, libslepc-complex3.10, libpetsc3.10-dev-common, libpetsc3.10-dev-examples
+Replaces: libpetsc-complex-3.6 (<< 3.6.2.dfsg1-4)
