## petsc 3.24.1%2Bdfsg1

=== debian/changelog ===
petsc (3.24.1+dfsg1-4) unstable; urgency=medium

  * debian patch fix_complex_overloading_MR8820.diff applies upstream
    MR#8820 to fix complex type overloading introduced by MR#8736.
    See deal.ii bug#1121248.

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Nov 2025 13:25:53 +0100

petsc (3.24.1+dfsg1-3) unstable; urgency=medium

  * accept that MUMPS is no longer available on all arches
    (it fails to run on hppa and powerpc)
  * update debian/watch to v5 format

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Nov 2025 11:48:42 +0100

petsc (3.24.1+dfsg1-2) unstable; urgency=medium

  * upload to unstable for transition #1121012

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Nov 2025 17:57:25 +0100

petsc (3.24.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release: new ABI 3.24.
  * update for new SCOTCH configuration
    - PETSc defines PETScInt as PETScInt64 when --with-64-bit-indices
      is active, so need 64-bit integers as well as 64-bit indexing
      i.e. 64-bit build uses -ptscotch_64i not -lptscotch_64
      (equivalent to former ptscotch-int64)
    - link -lscotch[_64i] after -lptscotch[_64i] since PETSc
      configuration system explicitly tests for SCOTCH_archBuild
    - Build-Depends: libptscotch-64i-dev,
      libpetsc64-{real,complex}3.24-{dev,dbg} Depends: libptscotch-64i-dev
    - switch to hypre-bigint (hypre-64) instead of hypre-mixedint
      (hypre-64m) for consistency.
      Depends: libhypre64-dev instead of libhypre64m-dev
    - note petsc64 must continue to use mumps with 32-bit integers
      even with 64-bit ordering, since mump's INTSIZE64 implementation
      would need 64-bit MPI.

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Nov 2025 00:40:06 +0100
